Manually create a case from a list of previously uploaded files. Each file in the request must be accompanied by a type indicating the role the file plays in the case (e.g. main document, attachment).
This is the manual case creation path, intended for API clients that determine case composition directly, as opposed to the AI-driven case creation triggered by POST /cases/process-file-batch.
This is an asynchronous operation. A successful response confirms that the request has been accepted and returns the identifier of the case being created. The case will be processed in the background.
The projectId in the request body is the identifier of the project in which the case will be created.
Payload for creating a case
List of files to include in the case, each with their assigned role.
Identifier of the project in which the case will be created.
External identifier of the case. Can be used to link the case with an identifier in your system.
- API EUhttps://api.cloud.hypatos.ai/v2/cases/create
- API UShttps://api.cloud.hypatos.com/v2/cases/create
- Mock serverhttps://hypatos.redocly.app/_mock/openapi/cases/create
curl -i -X POST \
https://api.cloud.hypatos.ai/v2/cases/create \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"files": [
{
"id": "92b5be52-ce1e-4c74-b1ba-b6897c5d447a",
"type": "invoice",
"mainFile": true,
"passthroughArtifact": false
},
{
"id": "76bf4146-3ab2-4a8b-8c93-081f1de780b7",
"type": "attachment",
"mainFile": false,
"passthroughArtifact": true
}
],
"projectId": "69bbd13093eba3eee76f3918"
}'Case creation request accepted. The case will be created asynchronously.
Identifier of the case being created. Can be used to retrieve the case via GET /cases/{id} once processing is complete.
{ "caseId": "8512a5dd-91b9-4363-a869-db17394a955d", "projectId": "69bbd20e5c155a70e763bc8d" }